#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libsysstat
Version		:	0.4.6
Release		:	14.4.0.0%{?dist}
Summary		:	Library used to query system info and statistics
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/lxqt/libsysstat/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	qt
BuildRequires	:	lxqt-build-tools
#-----------------------------------------------------------------------------
%description
libsysstat is a library to query system information like CPU
and memory usage or network traffic.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake									\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}				\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING README.md
%{_includedir}/sysstat-qt5/SysStat/*
%{_includedir}/sysstat-qt5/*.h
%{_libdir}/%{name}-qt5.so*
%{_libdir}/pkgconfig/sysstat-qt5.pc
%{_datadir}/cmake/sysstat-qt5/sysstat-qt5-*.cmake

#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
